{% extends 'base.html.twig' %}

{% block title %}Examen{% endblock %}

{% block body %}

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Détail Examen </h3>

        </div>
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <tbody>
                <thead>
                <tr>
                    <th>Session</th>
                    <th>Niveau</th>
                    <th>Matiere</th>
                    <th>Nbre etudiant</th>
                    <th>Date</th>
                    <th>Heure deb</th>
                    <th>Heure fin</th>
                    {% if is_granted('ROLE_SCOLARITE') %}
                        <th>Affect.</th>
                    {% endif %}


                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>  {{ examan.session.libellesession }} {{ examan.session.semestre.libelleSemestreAr }}</td>

                    <td>{{ examan.niveau.libelleNiveauAr }}</td>

                    <td>{{ examan.matiere.libelleMatiereAr }}</td>

                    <td>{{ examan.nombreetudiant }}</td>

                    <td>{{ examan.dateexamen|date('d/m/Y') }}</td>
                    <td>{{ examan.heureexamen }}</td>
                    <td>{{ examan.heureexamenfin }}</td>
                    {% if is_granted('ROLE_SCOLARITE') %}

                        <td>
                            {% if nbre_elev_rest>0 %}
                                <a>
                                    <button class="btn btn-primary btn_new_groupe" nb_elev_rest="{{ nbre_elev_rest }}"
                                            url="{{ path('groupe_examen_new', {'id': examan.id}) }}"><span
                                                class="glyphicon glyphicon-plus"
                                                title="Affecter groupe examen "> </span>
                                    </button>
                                </a>
                            {% endif %}
                        </td>
                    {% endif %}

                </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Affectation des étudiants sur les centres d'examens </h3>
        </div>
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <tbody>
                <thead>
                <tr>
                    <th>Libelle groupe</th>
                    <th>Nombre d'étudiant</th>
                    <th>Centre examen</th>
                    <th>Enseignant Surveillant</th>
                    {% if is_granted('ROLE_AGENT') %}
                        <th>Matricule de début</th>
                        <th>Matricule de fin</th>
                        <th>Action</th>
                    {% endif %}
                    {% if is_granted('ROLE_SCOLARITE') %}
                        <th>Action</th>
                        <th>Action</th>
                    {% endif %}
                </tr>
                </thead>
                <tbody>
                {% for ge in groupe_examan %}
                    <tr>

                        <td>{{ ge.libellegroupe }}</td>
                        <td>{{ ge.nbretudiantcentre }}</td>
                        <td>{{ ge.centreexamen.libelleCentre }}</td>
                        <td>
                            <ul>
                                {% for enseig in ge.enseignant %}
                                    <li>{{ enseig.nomprenomar }}</li>
                                {% endfor %}
                            </ul>
                        </td>
                        {% if is_granted('ROLE_AGENT') %}
                            <td>{{ ge.matretuddebut }}</td>
                            <td>{{ ge.matretudfin }}</td>

                            <td>
                                <a>
                                    <button class="btn btn-success btn_ajout_matricule"
                                            url="{{ path('new_matricule', {'id': ge.id}) }}"><span
                                                class="glyphicon glyphicon-edit"
                                                title="modifier Matricule étudiant"></span> Matricule
                                    </button>
                                </a>
                            </td>
                        {% endif %}
                        {% if is_granted('ROLE_SCOLARITE') %}
                            <td>
                                <a>
                                    <button class="btn btn-success btn_edit_groupe" nb_elev_rest="{{ nbre_elev_rest }}"
                                            url="{{ path('groupe_examen_modif', {'id': ge.id}) }}"><span
                                                class="glyphicon glyphicon-pencil"
                                                title="Modifier Groupe étudiant"></span>
                                    </button>
                                </a>
                            </td>
                            <td> {{ include('groupe_examen/_delete_form.html.twig') }}</td>
                        {% endif %}
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
    <div class="modal fade" id="modalGroupe" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header text-center">
                    <h4 class="modal-title w-100 font-weight-bold titre_modal_groupe"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="text-center">
                        <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                    </div>
                    <div class="content_modal_body">
                    </div>
                </div>
                <div class="modal-footer">

                </div>
            </div>
        </div>
    </div>



    <td>
        <a href="{{ path('examen_index',{'session':examan.session.id}) }}">
            <button class="btn btn-primary"><span
                        class="glyphicon glyphicon-arrow-left" title="Retour page précedente"></span></button>
        </a>
    </td>

{% endblock %}
{% block mesJavascripts %}

    <script>

        $('body').on('click', '.btn_new_groupe', function (event) {
            var nb_elev_rest = $(this).attr('nb_elev_rest');
            $('#modalGroupe').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_groupe').html('Ajouter nouveau groupe');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                    $('#groupe_examen_nbElevRest').val(nb_elev_rest);
                    $('#groupe_examen_nbretudiantcentre').val(nb_elev_rest);
                    (function ($) { $('select').select2({theme: "classic"}) }(jQuery));
                }
            });
        });
        $('body').on('click', '.save_groupe', function (event) {

            var form = $('#form_add_groupe');
            var formData = new FormData(document.getElementById("form_add_groupe"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_groupe').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalGroupe').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        (function ($) { $('select').select2({theme: "classic"}) }(jQuery));
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.btn_edit_groupe', function (event) {
            var nb_elev_rest = $(this).attr('nb_elev_rest');
            $('#modalGroupe').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_groupe').html('Modifier groupe examen');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                    $('#groupe_examen_nbElevRest').val(nb_elev_rest);
                    $('#groupe_examen_oldNbElevSaisie').val($('#groupe_examen_nbretudiantcentre').val());
                    $(this).jquery($('select').select2({theme: "classic"}));
                }
            });
        });
        $('body').on('click', '.edit_groupe', function (event) {

            var form = $('#form_add_groupe');
            var formData = new FormData(document.getElementById("form_add_groupe"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_groupe').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalGroupe').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        $(this).jquery($('select').select2({theme: "classic"}));
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.btn_del_groupe', function (event) {
            var name_groupe = $(this).attr('name_groupe');
            var id_groupe = $(this).attr('id_groupe');
            $('#modalGroupe').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_groupe').html('Supprimer groupe');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la groupe: <b>' + name_groupe + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_groupe" onclick="confirmer_delete_groupe(' + id_groupe + ')" data-dismiss="modal">Confirmer</button>');
            $.ajax({
                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalGroupe').modal('hide');
                        location.reload();
                    }
                }
            });
        });

        function confirmer_delete_groupe(id_groupe) {
            $('#form_delete_groupe_' + id_groupe).submit();

        }

        $('body').on('click', '.btn_ajout_matricule', function (event) {
            $('#modalGroupe').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_groupe').html('Ajouter matricule étudiant');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.save_matricule', function (event) {

            var form = $('#form_add_matricule');
            var formData = new FormData(document.getElementById("form_add_matricule"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_matricule').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalGroupe').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

    </script>
{% endblock %}